Remove cc1111 products from 'fat_altos' list, which is used for keithp-fat
[fw/altos] / ao-bringup / turnon_chaoskey
index 3617e777d1f5de8076898b162d6d5999cd9a7a14..9ad809122bd847139239ebc77d10b56a1886c96f 100755 (executable)
@@ -1,14 +1,14 @@
 #!/bin/sh
 
-if [ -x /usr/bin/ao-flash-stm32f0x ]; then
-       FLASH_STM=/usr/bin/ao-flash-stm32f0x
+if [ -x `which dfu-util` ]; then
+    DFU_UTIL=`which dfu-util`
 else
-       echo "Can't find ao-flash-stm32f0x!  Aborting."
-       exit 1
+    echo "Can't find dfu-util! Aborting."
+    exit 1
 fi
 
-if [ -x /usr/bin/ao-usbload ]; then
-       USBLOAD=/usr/bin/ao-usbload
+if [ -x `which ao-usbload` ]; then
+       USBLOAD=`which ao-usbload`
 else
        echo "Can't find ao-usbload!  Aborting."
        exit 1
@@ -22,13 +22,19 @@ echo "Copyright 2015 by Keith Packard.  Released under GPL v2"
 echo
 echo "Expectations:"
 echo "\tChaosKey v$VERSION powered from USB"
-echo "\t\twith ST-Link-V2 cabled to debug header"
 echo
 
-$FLASH_STM ../src/chaoskey-v$VERSION/flash-loader/chaoskey-v$VERSION-*.elf || exit 1
+FLASH_FILE=~/altusmetrumllc/Binaries/chaoskey-v1.0-all-*.bin
+#ALTOS_FILE=~/altusmetrumllc/Binaries/chaoskey-v1.0-*.elf
+
+$DFU_UTIL -a 0 -s 0x08000000:leave -D $FLASH_FILE || true
+
+#sleep 2
+
+#$USBLOAD --serial=1 $ALTOS_FILE || exit 1
 
-sleep 2
+sleep 3
 
-$USBLOAD --serial=1 ../src/chaoskey-v$VERSION/chaoskey-v$VERSION*.ihx || exit 1
+./test-chaoskey
 
 exit $?